curl --location --request PUT 'https://api.stateset.com/v1/order/:id/ship' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderShipMutation {
orderShip(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.Ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"shipped": true
}
Ship Order
This endpoint ships an order.
POST
/
v1
/
orders
/
:id
/
ship
curl --location --request PUT 'https://api.stateset.com/v1/order/:id/ship' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderShipMutation {
orderShip(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.Ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"shipped": true
}
Body
string
The ID provided in the data tab may be used to identify the order
Response
string
The ID provided in the data tab may be used to identify the order
string
The object type
number
Indicates whether the call was successful. true if successful, false if not.
curl --location --request PUT 'https://api.stateset.com/v1/order/:id/ship' \
--header 'Content-Type: application/json' \
--header 'Authorization: Token <token>' \
--data-raw '{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30"
}'
mutation orderShipMutation {
orderShip(id: "${orderId}") {
order {
id,
status
}
userErrors {
field
message
}
}
}
`;
const orders = await stateset.orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
orders = stateset.orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders = Stateset::Order.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
orders, err := stateset.Orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
})
Order orders = stateset.Orders.ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
$orders = $stateset->orders->ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
var orders = await stateset.Orders.Ship({
'0901f083-aa1c-43c5-af5c-0a9d2fc64e30'
});
{
"id": "e0901f083-aa1c-43c5-af5c-0a9d2fc64e30",
"object": "order",
"shipped": true
}
โI